### Hierarchy

- IConfig

### Implemented by

- Config

## Index

### Properties

- api_key
- api_secret
- api_url
- client_version
- cookie
- docs_url
- hsts
- storage_prefix
- transport
- uuid
- ws_url

### Methods

- set

## Properties

### api_key

api_key: string

- Defined in Config.ts:21

### api_secret

api_secret: string

- Defined in Config.ts:22

### api_url

api_url: string

- Defined in Config.ts:18

### client_version

client_version: any

- Defined in Config.ts:26

### cookie

cookie: any

- Defined in Config.ts:25

### docs_url

docs_url: string

- Defined in Config.ts:20

### hsts

hsts: boolean

- Defined in Config.ts:28

### storage_prefix

storage_prefix: string

- Defined in Config.ts:24

### transport

transport: string

- Defined in Config.ts:23

### uuid

uuid: any

- Defined in Config.ts:27

### ws_url

ws_url: string

- Defined in Config.ts:19

## Methods

### set

- set(config: IIPPConfig): void

- - Defined in Config.ts:17

  #### Parameters

  - ##### config: IIPPConfig

  #### Returns void

Generated using TypeDoc